 /* File : Xmsg.i */
%module Xmsglib
%{
#include "Xmsglib.h"
%}

/* these are wrapped up versions of the X functions for the perl interface */
Display* OpenDisplay    (const char* display_name);
int     GetScreen       (Display* display);
void    FlushDisplay    (Display* display);
void    MoveWindow      (Display* display, Window window, int x, int y);   
 
Window  CreateWindow    (Display* display, int screen_num, int x, int y,
                         int width, int height);
int     DrawXpm         (Display* display, Window window, char* xpm_file, int x, int y);
int     DrawText        (Display* display, Window window, const char* font,
                         const char* color, const char* text, int x, int y);

Window  DestroyWindow   (Display* display, Window window);
void    SetDebug        (char level);
